Subject: bug#65176: closed (Re: bug#65176: Acknowledgement (~25 test failures from make check in the latest master.))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Aug 2023 14:46:02 +0000

Your bug report

#65176: ~25 test failures from make check in the latest master.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65176: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65176
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65176: Acknowledgement (~25 test failures from make check in the latest master.)
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Mon, 14 Aug 2023 14:45:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

This bug has now been fixed in master.  The discussion around it took
place on the thread in the emacs-devel mailing list with Subject: make
check produces 25 failures and hangs (bug #65176)..

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: ~25 test failures from make check in the latest master.
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Wed, 9 Aug 2023 11:16:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

I've just updated my master repo.

The latest commit I downloaded was:

commit 08cc48e496ed98f16a014bf7ced69f527b72ab11 (HEAD -> master, origin/master, origin/HEAD)
Author: Eric S. Raymond <[email-masked]>
Date:   Wed Aug 9 06:05:24 2023 -0400

    Remove a DEFSYM that no longer needs to be in the C core.

On building it --with-native-compilation (no other notable arguments)
and running make check, I get lots of failures.  On running

    $ find . -name '*.log' | xargs grep -c FAILED | sed '/:0$/d'

from the test directory, I get this output:

../src/comp-tests.log:6
../lisp/emacs-lisp/rmc-tests.log:4
../lisp/emacs-lisp/edebug-tests.log:2
../lisp/emacs-lisp/macroexp-tests.log:2
../lisp/emacs-lisp/cl-macs-tests.log:2
../lisp/x-dnd-tests.log:4
../lisp/shadowfile-tests.log:6
../lisp/dnd-tests.log:2
../lisp/abbrev-tests.log:6
../lisp/minibuffer-tests.log:2
../lisp/erc/erc-tests.log:2
../lisp/subr-tests.log:2
../lisp/eshell/em-pred-tests.log:4
../lisp/dired-tests.log:6

..  For each failure, FAILED appears twice in the .log file.  That
indicates 25 failures in these files.

-- 
Alan Mackenzie (Nuremberg, Germany).